フォーラム


ゲスト  

ようこそ ゲスト さん。このフォーラムに投稿するには 登録が必要です。

ページ: [1]
トピック: PostgreSQL10に接続で、エラー
a23
メンバー
投稿数: 18
PostgreSQL10に接続で、エラー
on: 2017/10/10 19:16 Tue

EPgNativeException がモジュール PgFD_Menu2.exe の 0025FE0E で発生しました。
[img=][FireDAC][Phys][PG][libpq] server closed the connection unexpectedly
This probably means the server terminated abnormally
before or while processing the request.

a23
メンバー
投稿数: 18
Re: PostgreSQL10に接続で、エラー
on: 2017/10/10 19:17 Tue

10の影響なのか、確認していきたいと思います。

igy
メンバー
投稿数: 252
Re: PostgreSQL10に接続で、エラー
on: 2017/10/12 09:47 Thu

PostgreSQL への接続(FireDAC)
http://docwiki.embarcadero.com/RADStudio/Berlin/ja/PostgreSQL_%E3%81%B8%E3%81%AE%E6%8E%A5%E7%B6%9A%EF%BC%88FireDAC%EF%BC%89
では、

> 理想的には、libpq.dll のバージョンはサーバーのバージョンと同じでなければなりません。

とありますので、クライアント ファイルも 10.0 のファイルが望ましいみたいですが、

FireDAC データベースのサポート
http://docwiki.embarcadero.com/Status/ja/FireDAC_%E3%83%87%E3%83%BC%E3%82%BF%E3%83%99%E3%83%BC%E3%82%B9%E3%81%AE%E3%82%B5%E3%83%9D%E3%83%BC%E3%83%88
では、
10.2 Tokyoでも、PostgreSQLのサポートは、

> v 7.4 – 9.5

とありますので、リリースしたばかりの 10.0 の正式対応は、しばらく先になるかもしれませんね。(9.6 の記載がないのも、気になりますが・・)

なお、

http://tmts.hatenablog.jp/
では、
> psqlODBC 09.06.0500(32bit)
を使って、PostgreSQL 10.0(64bit)に接続されているようです。

以上、参考までに。

a23
メンバー
投稿数: 18
Re: PostgreSQL10に接続で、エラー
on: 2017/10/20 09:43 Fri

ありがとうございます

ページ: [1]
WP Forum Server by ForumPress | LucidCrew
バージョン: 1.7.5 ; ページロード: 0.043 sec.